<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
  <!--begin::Subheader-->
  <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
    <div
      class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap"
    >
      <!--begin::Info-->
      <div class="d-flex align-items-center flex-wrap mr-1">
        <!--begin::Page Heading-->
        <div class="d-flex align-items-baseline mr-5">
          <!--begin::Page Title-->
          <h5 class="text-dark font-weight-bold my-2 mr-5">Filières</h5>
          <div
            class="subheader-separator subheader-separator-ver mt-2 mb-2 mr-5 bg-gray-200"
          >
            <span class="mx-2"> {{ data.length }}</span>
          </div>
          <div class="d-flex align-items-center" id="kt_subheader_search">
            <span class="text-dark-50 font-weight-bold" id="kt_subheader_total">
              total
            </span>
          </div>
          <!--end::Page Title-->
          <!--begin::Breadcrumb-->
          <!--end::Breadcrumb-->
        </div>
        <!--end::Info-->
        <!--end::Page Heading-->
      </div>
      <!--begin::Toolbar-->
      <div class="d-flex align-items-center">
        <!--begin::Actions-->
        <button class="btn btn-sm btn-primary" (click)="openAddModal(content)">
          Nouveau
        </button>

        <!--end::Actions-->
        <!--begin::Dropdown-->
        <!--end::Dropdown-->
      </div>
      <!--end::Toolbar-->
    </div>
  </div>
  <!--end::Subheader-->
  <!--begin::Entry-->
  <div class="d-flex flex-column-fluid">
    <!--begin::Container-->
    <div class="container">
      <div class="card card-custom" [ngClass]="cssClasses">
        <!-- Header -->
        <div class="card-header bg-gray-200 p-4 border-0 pt-5">
          <h3 class="card-title align-items-start flex-column">
            <select
              name="filter"
              class="form-control"
              id="filter"
              (change)="filtter($event)"
            >
              <option value="" disabled selected>Filtrer</option>
              <option value="false">Actif</option>
              <option value="true">Inactif</option>
            </select>
          </h3>
          <div class="card-toolbar">
            <ul class="nav nav-pills ml-4 nav-pills-sm nav-dark-75">
              <li class="nav-item">
                <form>
                  <div class="form-group form-inline">
                    <input
                      class="form-control form-control-sm"
                      placeholder="Rechercher...."
                      type="text"
                      [(ngModel)]="searchText"
                      name="searchText"
                      (keyup)="search()"
                    />
                  </div>
                </form>
              </li>
            </ul>
          </div>
        </div>
        <!-- Body -->
        <div class="card-body pt-3 pb-0">
          <!--begin::Table-->
          <div class="table-responsive">
            <table
              class="table table-separate datatable table-head-custom table-vertical-center"
              id="kt_datatable"
            >
              <thead>
                <tr>
                  <th scope="col">N°</th>
                  <th scope="col">Nom</th>
                  <th class="text-center">Actions</th>
                </tr>
              </thead>
              <tbody>
                <tr
                  *ngFor="
                    let el of data
                      | slice
                        : (page - 1) * pageSize
                        : (page - 1) * pageSize + pageSize;
                    index as i
                  "
                >
                  <td>{{ i + 1 }}</td>
                  <td>{{ el.name }}</td>

                  <td class="text-center pr-0">
                    <button
                      (click)="openEditModal(contentU, el)"
                      class="btn btn-icon btn-clean btn-sm"
                    >
                      <i class="la la-pen"></i>
                    </button>
                    <button
                      *ngIf="!el.deleted"
                      (click)="lock(el.id, i)"
                      class="btn btn-icon btn-clean btn-sm mx-3"
                    >
                      <i class="la la-lock"></i>
                    </button>
                    <button
                      (click)="archive(el.id, i)"
                      class="btn btn-icon btn-clean btn-sm"
                    >
                      <i class="la la-trash"></i>
                    </button>
                  </td>
                </tr>
                <tr *ngIf="data.length == 0">
                  <td colspan="6" class="text-center bg-secondary">
                    Aucun elements
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="d-flex justify-content-between p-2">
              <ngb-pagination
                class=""
                [collectionSize]="collectionSize"
                [(page)]="page"
                [maxSize]="5"
                [pageSize]="pageSize"
                [rotate]="true"
                [ellipses]="false"
                [boundaryLinks]="true"
              >
              </ngb-pagination>
              <select
                class="custom-select custom-select-sm float-right"
                style="width: auto"
                [(ngModel)]="pageSize"
              >
                <option selected disabled>Filtrer</option>
                <option [ngValue]="3">3 elements par page</option>
                <option [ngValue]="5">5 elements par par page</option>
                <option [ngValue]="10">10 elements par par page</option>
              </select>
            </div>
          </div>
          <!--end::Table-->
        </div>
        <ng-template #content let-modal>
          <form #newForm="ngForm" (ngSubmit)="create(newForm.value)">
            <div class="modal-header">
              <h4 class="modal-title" id="modal-basic-title">Nouvel ajout</h4>
              <button
                type="button"
                class="close"
                aria-label="Close"
                (click)="modal.dismiss('Cross click')"
              >
                <i class="la la-close font-size-h3"></i>
              </button>
            </div>
            <div class="modal-body">
              <div *ngIf="error" class="alert alert-danger my-1 alert-rounded">
                {{ error }}
                <button
                  type="button"
                  class="close"
                  data-dismiss="alert"
                  aria-label="Close"
                >
                  <span aria-hidden="true">×</span>
                </button>
              </div>
              <div class="form-group">
                <label>Nom</label>
                <input
                  type="text"
                  name="trainingOptionName"
                  [(ngModel)]="selected_data.name"
                  class="form-control"
                  maxlength="250"
                  #trainingOptionName="ngModel"
                />
                <span
                  *ngIf="
                    trainingOptionName.invalid &&
                    (trainingOptionName.dirty || trainingOptionName.touched)
                  "
                  class="text-danger"
                >
                  <small *ngIf="trainingOptionName.errors?.required">
                    Le nom est requis.
                  </small>
                  <small *ngIf="trainingOptionName.errors.maxlength">
                    Pas plus de 250 caractères pour le nom.
                  </small>
                </span>
              </div>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-outline-dark"
                [disabled]="!newForm.form.valid"
                type="submit"
              >
                Sauvegarder
              </button>
            </div>
          </form>
        </ng-template>
        <ng-template #contentU let-modal>
          <form #newForm="ngForm" (ngSubmit)="edit(newForm.value)">
            <div class="modal-header">
              <h4 class="modal-title" id="modal-basic-title">
                Nouvelle modification
              </h4>
              <button
                type="button"
                class="close"
                aria-label="Close"
                (click)="modal.dismiss('Cross click')"
              >
                <i class="la la-close font-size-h3"></i>
              </button>
            </div>
            <div class="modal-body">
              <div *ngIf="error" class="alert alert-danger my-1 alert-rounded">
                {{ error }}
                <button
                  type="button"
                  class="close"
                  data-dismiss="alert"
                  aria-label="Close"
                >
                  <span aria-hidden="true">×</span>
                </button>
              </div>
              <div class="form-group">
                <input
                  type="hidden"
                  name="id"
                  [(ngModel)]="selected_data.id"
                  #id="ngModel"
                />
                <label>Nom</label>
                <input
                  type="text"
                  name="trainingOptionName"
                  [(ngModel)]="selected_data.name"
                  class="form-control"
                  maxlength="250"
                  #trainingOptionName="ngModel"
                />
                <span
                  *ngIf="
                    trainingOptionName.invalid &&
                    (trainingOptionName.dirty || trainingOptionName.touched)
                  "
                  class="text-danger"
                >
                  <small *ngIf="trainingOptionName.errors?.required">
                    Le nom est requis.
                  </small>
                  <small *ngIf="trainingOptionName.errors.maxlength">
                    Pas plus de 250 caractères pour le nom.
                  </small>
                </span>
              </div>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-outline-dark"
                [disabled]="!newForm.form.valid"
                type="submit"
              >
                Sauvegarder
              </button>
            </div>
          </form>
        </ng-template>
      </div>
    </div>
    <!--end::Container-->
  </div>
  <!--end::Entry-->
</div>
